;======================================================================
;	Title: Lab4.1
;	Author: B.Smith
;	Date: June 30, 1995
;	
;	This program will add the numbers from 1 to 12Hex and display 
;	the sum on the LEDs
;
;======================================================================


; :EQUATES ============================================================

.equ	LEDS_ON,	h'ce
.equ	LEDS_OFF,	h'cf
.equ	MAX_CNT,	h'12


; :MAIN ===============================================================
;	
;	REG A : holds the sum of the numbers
;	REG C	: holds the present number to be added to the sum
;

.org h'4000

;----------------------------------------------------------------------
; initialize the registers and turn off all leds

START:		mvi a,h'ff
		out LEDS_OFF
		mvi a,h'00


;----------------------------------------------------------------------
; add the numbers from 12hex to 1hex

		mvi c, MAX_CNT
ADD_LOOP:	add c
		dcr c
		jnz ADD_LOOP
		nop
		nop

;----------------------------------------------------------------------
; display the results on the LEDs

DSP_LEDS:	out LEDS_ON
		rst	7
		
.end	